import type { Props } from '../_utils/types';
export interface SplitViewCardContextAPI {
    /**
     * If aside card is opened or not
     * @since 12.9.0
     */
    open: boolean;
    /**
     * Open aside card
     * @since 12.9.0
     */
    onOpen: () => void;
    /**
     * Close aside card
     * @since 12.9.0
     */
    onClose: () => void;
    /**
     * Indicates whether the SplitViewCard can be closed
     * */
    isClosable?: boolean;
    /**
     * Indicates whether the user is actively scrolling within the SplitViewCard.Body
     * @since 12.9.0
     */
    isScrolling: boolean;
    /**
     * Callback to update the isScrolling flag
     * @since 12.9.0
     */
    setIsScrolling: (isScrolling: boolean) => void;
}
export interface SplitViewCardProps extends Props {
    /**
     * Indicates whether the SplitViewCard can be closed
     * */
    isClosable?: boolean;
    /**
     * If aside card is initially opened or not
     * @since 12.9.0
     */
    isInitiallyOpen?: boolean;
    /**
     * Callback for custom close event
     * @since 12.9.0
     */
    onClose?: () => void;
}
